Package org.eclipse.birt.report.engine.extension

# Interface IReportEvent

All Known Subinterfaces:
  `IOnCreateEvent`, `IOnPrepareEvent`, `IOnRenderEvent`

public interface IReportEvent

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ON_CREATE_EVENT`
`static final int`
`ON_PAGEBREAK_EVENT`
`static final int`
`ON_PREPARE_EVENT`
`static final int`
`ON_RENDER_EVENT`

## Method Summary

Modifier and Type
Method
Description
`IReportEventContext`
`getContext()`
`int`
`getEventType()`
`org.eclipse.birt.report.model.api.DesignElementHandle`
`getHandle()`

## Field Details

### ON_PREPARE_EVENT

static final int ON_PREPARE_EVENT

See Also:
  - Constant Field Values

### ON_CREATE_EVENT

static final int ON_CREATE_EVENT

See Also:
  - Constant Field Values

### ON_RENDER_EVENT

static final int ON_RENDER_EVENT

See Also:
  - Constant Field Values

### ON_PAGEBREAK_EVENT

static final int ON_PAGEBREAK_EVENT

See Also:
  - Constant Field Values

## Method Details

### getEventType

int getEventType()

### getHandle

org.eclipse.birt.report.model.api.DesignElementHandle getHandle()

### getContext

IReportEventContext getContext()